Package com.openmeet.webapp.dataLayer.moderator

# Class ModeratorDAO

java.lang.Object
com.openmeet.shared.data.storage.SQLDAO
com.openmeet.webapp.dataLayer.moderator.ModeratorDAO

All Implemented Interfaces:
  `com.openmeet.shared.data.storage.DAO<Moderator>`

public class ModeratorDAO extends com.openmeet.shared.data.storage.SQLDAO implements com.openmeet.shared.data.storage.DAO<Moderator>

- ## Field Summary

  ### Fields inherited from class com.openmeet.shared.data.storage.SQLDAO

  `source`

  ### Fields inherited from interface com.openmeet.shared.data.storage.DAO

  `DO_DELETE, DO_RETRIEVE_ALL, DO_RETRIEVE_ALL_LIMIT, DO_RETRIEVE_ALL_LIMIT_OFFSET, DO_RETRIEVE_BY_CONDITION, DO_RETRIEVE_BY_CONDITION_LIMIT, DO_RETRIEVE_BY_CONDITION_LIMIT_OFFSET, DO_RETRIEVE_BY_KEY, DO_SAVE, DO_SAVE_OR_UPDATE, DO_SAVE_PARTIAL, DO_UPDATE, logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModeratorDAO(DataSource source)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `doDelete(String condition)`
  `List<Moderator>`
  `doRetrieveAll()`
  `List<Moderator>`
  `doRetrieveAll(int row_count)`
  `List<Moderator>`
  `doRetrieveAll(int offset, int row_count)`
  `List<Moderator>`
  `doRetrieveByCondition(String condition)`
  `List<Moderator>`
  `doRetrieveByCondition(String condition, int row_count)`
  `List<Moderator>`
  `doRetrieveByCondition(String condition, int offset, int row_count)`
  `Moderator`
  `doRetrieveByKey(String key)`
  `boolean`
  `doSave(Moderator obj)`
  `boolean`
  `doSave(HashMap<String,?> values)`
  `boolean`
  `doSaveOrUpdate(Moderator obj)`
  `boolean`
  `doUpdate(HashMap<String,?> values, String condition)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModeratorDAO

    public ModeratorDAO(DataSource source)

- ## Method Details

  - ### doRetrieveByCondition

    public List<Moderator> doRetrieveByCondition(String condition) throws SQLException
    Specified by:
      `doRetrieveByCondition` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`

  - ### doRetrieveByCondition

    public List<Moderator> doRetrieveByCondition(String condition, int row_count) throws SQLException
    Specified by:
      `doRetrieveByCondition` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`

  - ### doRetrieveByCondition

    public List<Moderator> doRetrieveByCondition(String condition, int offset, int row_count) throws SQLException
    Specified by:
      `doRetrieveByCondition` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`

  - ### doRetrieveByKey

    public Moderator doRetrieveByKey(String key) throws SQLException, com.openmeet.shared.exceptions.InvalidPrimaryKeyException
    Specified by:
      `doRetrieveByKey` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`
      `com.openmeet.shared.exceptions.InvalidPrimaryKeyException`

  - ### doRetrieveAll

    public List<Moderator> doRetrieveAll() throws SQLException
    Specified by:
      `doRetrieveAll` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`

  - ### doRetrieveAll

    public List<Moderator> doRetrieveAll(int row_count) throws SQLException
    Specified by:
      `doRetrieveAll` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`

  - ### doRetrieveAll

    public List<Moderator> doRetrieveAll(int offset, int row_count) throws SQLException
    Specified by:
      `doRetrieveAll` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`

  - ### doSave

    public boolean doSave(Moderator obj) throws SQLException
    Specified by:
      `doSave` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`

  - ### doSave

    public boolean doSave(HashMap<String,?> values) throws SQLException
    Specified by:
      `doSave` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`

  - ### doUpdate

    public boolean doUpdate(HashMap<String,?> values, String condition) throws SQLException
    Specified by:
      `doUpdate` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`

  - ### doSaveOrUpdate

    public boolean doSaveOrUpdate(Moderator obj) throws SQLException
    Specified by:
      `doSaveOrUpdate` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`

  - ### doDelete

    public boolean doDelete(String condition) throws SQLException
    Specified by:
      `doDelete` in interface `com.openmeet.shared.data.storage.DAO<Moderator>`
    Throws:
      `SQLException`